.card-container {
  display: flex;
  justify-content: stretch;
  flex-wrap: wrap;
  padding: 1.5rem;
  gap: 1rem;
}

.button-container {
  width: 100%;
  display: flex;
  margin: 1rem auto 1rem auto;
  align-items: center;
  justify-content: center;
}

.dialog-body {
  display: flex;
  flex-direction: column;
  width: 500px;
  height: 95vh;
  max-height: 710px;
  overflow: hidden;
}

.dialog-img {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  flex-shrink: 0;
  height: 220px;
  padding: 1rem;
}

.poke-img-dialog {
  height: 150px;
  margin: auto 0;
  z-index: 2;
}

.dialog-poke-background {
  position: absolute;
  right: -35%;
  top: -15%;
  width: 500px;
  height: 500px;
  rotate: 45deg;
  z-index: 1;
}

.dialog-headline {
  z-index: 2;
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.name-area {
  display: flex;
}

.name-area h2 {
  display: flex;
  margin-right: 1rem;
}

.close-dialog {
  background-color: transparent;
  margin: 0.5rem;
  width: auto;
  height: auto;
}

.close-dialog:hover {
  scale: 1.2;
}

.close-dialog:focus {
  scale: 1.2;
  outline: none;
}

.picture-class-area {
  display: flex;

  height: 100%;
  justify-content: space-between;
}

.dialog-content-container {
  position: relative;
  width: 100%;
  display: flex;
  flex-direction: column;
  flex: 1;
  min-height: 0;
  background: var(--color-fonts);
  border-radius: 2rem 2rem 0 0;
  overflow: hidden;
  z-index: 2;
}

.dialog-nav {
  flex-shrink: 0;
  height: 50px;
  width: 100%;
}

.dialog-content {
  flex: 1;
  min-height: 0;
  width: 100%;
  padding: 1rem 2rem;
  overflow-y: auto;
}

.stats-name {
  min-width: 65px;
  width: 20%;
}

.stats-value {
  min-width: 65px;
  width: 20%;
}

.stats-progress {
  width: 60%;
}

.change-container {
  display: flex;
  flex-shrink: 0;
  justify-content: space-between;
  border-top: 1px solid black;
  height: 3rem;
}

.dialog-button {
  width: 100%;
  border-radius: 0;
}

.dialog-button:hover {
  scale: none;
  background-color: var(--color-fonts);
}

.dialog-button:focus {
  background-color: var(--color-fonts);
}

#back {
  border-right: 1px solid black;
}
#load-more {
  min-width: 10rem;
}

@media (max-width: 550px) {
  .dialog-body {
    width: 400px;
  }

  .dialog-button {
    font-size: 1.2rem;
  }
}

@media (max-width: 450px) {
  .dialog-body {
    width: 330px;
  }

  .dialog-img {
    padding: 0.5rem;
  }

  .dialog-content {
    padding: 1rem 1rem;
  }

  .dialog-button {
    font-size: 1rem;
  }
}

@media (max-width: 380px) {
  .dialog-body {
    width: 300px;
  }
}

@media (max-width: 340px) {
  .dialog-body {
    width: 280px;
  }
}

#not-found {
  width: 100%;
  text-align: center;
  color: var(--color-fonts);
}
